import sys
from antlr4 import *
from gcode2Parser import gcode2Parser
from gcode2Listener import gcode2Listener

class gcode2Semantic(gcode2Listener):
	def __init__(self, output) :
		self.output = output
		self.output.write('begin processing')


	def toNumber(self,values):
		# TODO : terminar

		return 'x'


	def exitStatement(self, ctx):
		coordx = self.toNumber(ctx.coordx().children)
		coordy = self.toNumber(ctx.coordy().children)
		self.output.write('coordx=' + coordx + ' coordy=' + coordy)



